# class Rake::NameSpace

The NameSpace class will lookup task names in the scope defined by a `namespace` command.

### Public Class Methods

new(task_manager, scope_list) click to toggle source

Create a namespace lookup object using the given task manager and the list of scopes.

    # File lib/rake/name_space.rb, line 12
    def initialize(task_manager, scope_list)
      @task_manager = task_manager
      @scope = scope_list.dup
    end

### Public Instance Methods

[](name) click to toggle source

Lookup a task named `name` in the namespace.

    # File lib/rake/name_space.rb, line 20
    def [](name)
      @task_manager.lookup(name, @scope)
    end

scope() click to toggle source

The scope of the namespace (a LinkedList)

    # File lib/rake/name_space.rb, line 27
    def scope
      @scope.dup
    end

tasks() click to toggle source

Return the list of tasks defined in this and nested namespaces.

    # File lib/rake/name_space.rb, line 34
    def tasks
      @task_manager.tasks_in_scope(@scope)
    end